#!/bin/sh

# This is an Xsession wrapper for use with wdm to take care of the
# handling of the 'NoChange' window manager selection option.

# Run /etc/sysprofile before invoking /etc/X11/Xsession
if [ -f /etc/sysprofile ]; then . /etc/sysprofile; fi

if [ $# -eq 1 ] ; then echo $1 >$HOME/.wm_style ; fi
shift ; exec /etc/X11/Xsession `cat $HOME/.wm_style` $@
